aboutsummaryrefslogtreecommitdiff
path: root/extra
diff options
context:
space:
mode:
Diffstat (limited to 'extra')
-rw-r--r--extra/gpu-screen-recorder.env10
-rw-r--r--extra/gpu-screen-recorder.service9
-rwxr-xr-xextra/install_preserve_video_memory.sh8
-rwxr-xr-xextra/meson_post_install.sh17
4 files changed, 31 insertions, 13 deletions
diff --git a/extra/gpu-screen-recorder.env b/extra/gpu-screen-recorder.env
index c4728cc..8ce1edb 100644
--- a/extra/gpu-screen-recorder.env
+++ b/extra/gpu-screen-recorder.env
@@ -1,9 +1,13 @@
WINDOW=screen
CONTAINER=mp4
QUALITY=very_high
-CODEC=hevc
+CODEC=h264
AUDIO_CODEC=opus
-AUDIO_DEVICE=alsa_output.pci-0000_0a_00.4.iec958-stereo.monitor
+AUDIO_DEVICE=default_output
+SECONDARY_AUDIO_DEVICE=default_input
FRAMERATE=60
REPLAYDURATION=60
-OUTPUTDIR=/run/media/dec05eba/SSD1TB/Videos/aaaa \ No newline at end of file
+OUTPUTDIR=/run/media/dec05eba/SSD1TB/Videos/aaaa
+KEYINT=2
+ENCODER=gpu
+RESTORE_PORTAL_SESSION=yes \ No newline at end of file
diff --git a/extra/gpu-screen-recorder.service b/extra/gpu-screen-recorder.service
index 0ba621b..d0912ec 100644
--- a/extra/gpu-screen-recorder.service
+++ b/extra/gpu-screen-recorder.service
@@ -8,13 +8,18 @@ Environment=CONTAINER=mp4
Environment=QUALITY=very_high
Environment=CODEC=auto
Environment=AUDIO_CODEC=opus
-Environment=AUDIO_DEVICE=
+Environment=AUDIO_DEVICE=default_output
+Environment=SECONDARY_AUDIO_DEVICE=
Environment=FRAMERATE=60
Environment=REPLAYDURATION=30
Environment=OUTPUTDIR=%h/Videos
Environment=MAKEFOLDERS=no
Environment=COLOR_RANGE=limited
-ExecStart=/bin/sh -c 'AUDIO="${AUDIO_DEVICE:-$(pactl get-default-sink).monitor}"; gpu-screen-recorder -v no -w $WINDOW -c $CONTAINER -q $QUALITY -k $CODEC -ac $AUDIO_CODEC -a "$AUDIO" -f $FRAMERATE -r $REPLAYDURATION -o "$OUTPUTDIR" -mf $MAKEFOLDERS $ADDITIONAL_ARGS -cr $COLOR_RANGE'
+Environment=KEYINT=2
+Environment=ENCODER=gpu
+Environment=RESTORE_PORTAL_SESSION=yes
+Environment=ADDITIONAL_ARGS=
+ExecStart=gpu-screen-recorder -v no -w "${WINDOW}" -c "${CONTAINER}" -q "${QUALITY}" -k "${CODEC}" -ac "${AUDIO_CODEC}" -a "${AUDIO_DEVICE}" -a "${SECONDARY_AUDIO_DEVICE}" -f "${FRAMERATE}" -r "${REPLAYDURATION}" -o "${OUTPUTDIR}" -df "${MAKEFOLDERS}" $ADDITIONAL_ARGS -cr "${COLOR_RANGE}" -keyint "${KEYINT}" -restore-portal-session "${RESTORE_PORTAL_SESSION}" -encoder "${ENCODER}"
KillSignal=SIGINT
Restart=on-failure
RestartSec=5s
diff --git a/extra/install_preserve_video_memory.sh b/extra/install_preserve_video_memory.sh
deleted file mode 100755
index c5cf658..0000000
--- a/extra/install_preserve_video_memory.sh
+++ /dev/null
@@ -1,8 +0,0 @@
-#!/bin/sh
-
-script_dir=$(dirname "$0")
-cd "$script_dir"
-
-[ $(id -u) -ne 0 ] && echo "You need root privileges to run the install script" && exit 1
-
-install -Dm644 gsr-nvidia.conf /etc/modprobe.d/gsr-nvidia.conf
diff --git a/extra/meson_post_install.sh b/extra/meson_post_install.sh
new file mode 100755
index 0000000..7bf0d96
--- /dev/null
+++ b/extra/meson_post_install.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+# Needed to remove password prompt when recording a monitor (without desktop portal option) on amd/intel or nvidia wayland
+/usr/sbin/setcap cap_sys_admin+ep ${MESON_INSTALL_DESTDIR_PREFIX}/bin/gsr-kms-server \
+ || echo "\n!!! Please re-run install as root\n"
+
+# Cant do this because it breaks desktop portal (create session)!!!.
+# For some reason the desktop portal tries to access /proc/gpu-screen-recorder-pid/root from the portal process
+# which doesn't work because for some reason CAP_SYS_NICE on a program makes /proc/self/root not readable by other processes.
+# The reason portal reads that file might be because portal seems to have a security feature where its able to identify the
+# process and if the session token is stolen by another application then it will ignore the session token as it wasn't that
+# application that created the session token.
+# ---
+# This is needed (for EGL_CONTEXT_PRIORITY_HIGH_IMG) to allow gpu screen recorder to run faster than the heaviest application on AMD.
+# For example when trying to record a game at 60 fps and the game drops to 45 fps in some place that would also make gpu screen recorder
+# drop to 45 fps unless this setcap is used.
+#/usr/sbin/setcap cap_sys_nice+ep ${MESON_INSTALL_DESTDIR_PREFIX}/bin/gpu-screen-recorder